cURL
curl --request POST \ --url https://protegee.ai/voice/api/v1/vapi/get-context \ --header 'Content-Type: application/json' \ --data ' { "message": { "customer": { "number": "+1234567890" }, "toolCalls": [ { "id": "123456789", "function": {} } ] } } '
{ "results": [ { "toolCallId": "<string>", "result": { "caller": "<string>", "description": "Reservation for two at The Gourmet Bistro, 7:30 PM on December 30th, 2024, Table 12, Indoor seating, Special request: Window view, Confirmation number: 12345", "price": "10.00", "vendor": "example-co", "customer_id": "", "persona": "english-jessica", "callback": "+14155552671", "email": "my_customer@company.com", "full_name": "John Doe", "transaction_type": "once", "memory": "", "status": "payment-success", "start_time": "2024-12-30T02:59:32.213280+00:00", "processor": {}, "debug": "" } } ] }
Retrieves the context for a VAPI call using the customer’s phone number
Documentation IndexFetch the complete documentation index at: https://protegee.ai/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://protegee.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
API token for authentication
Show child attributes
Successfully retrieved context